import java.awt.*;
import java.util.*;
import java.applet.*;

class Move4 extends Thread
{
    Ball ball;
    Applet applet;
    boolean move;

    public Move4(Ball b,Applet a,boolean m){ ball = b; applet = a; move = m; }
    public void run(){
	    for(;;){
	       synchronized(ball){
              if (move == Ball.SINE) ball.sine(); else ball.cosine();
		      applet.paint(applet.getGraphics());
		      ball.notify();	
		      try{ball.wait();}catch(Exception e){System.out.println(e);}	
		   }   
		}
    }
}

public class SinCos4 extends DoubleBufferedApplet
{
    Ball ball = new Ball(startx,starty);

    public void paint(Graphics g) { 
       super.paint(g); ball.paint(g,Color.red); 
    }
    
    void circle(Ball ball){
       new Move4(ball,this,Ball.SINE).start();
	   new Move4(ball,this,Ball.COSINE).start();
    }

    public void init(){ circle(ball); }
}
