import java.awt.*;
import java.util.*;
import java.applet.*;

class Move5 extends Thread
{
    Ball ball;
    Applet applet;
    boolean move;

    public Move5(Ball b,Applet a,boolean m){ ball = b; applet = a; move = m; }
    public void run(){
	    for(;;){
	       synchronized(ball){
              if (move == Ball.SINE) ball.sine(); else ball.cosine();
		      applet.paint(applet.getGraphics());
		      ball.notify();	
		      try{ball.wait();}catch(Exception e){System.out.println(e);}	
		   }   
		}
    }
}

public class SinCos5 extends DoubleBufferedApplet
{
    Ball ball1 = new Ball(startx,starty);
    Ball ball2 = new Ball(startx,starty);
    Ball ball3 = new Ball(startx,starty);

    public void paint(Graphics g) { 
       super.paint(g);
 	   ball1.paint(g,Color.red);
 	   ball2.paint(g,Color.green);
 	   ball3.paint(g,Color.blue);
    }
    
    void circle(Ball ball){
       new Move5(ball,this,Ball.SINE).start();
	   new Move5(ball,this,Ball.COSINE).start();
    }

    public void init(){
	   circle(ball1);
	   circle(ball2);
	   circle(ball3);
    }
}
